Retrieve an agent by UID
curl --request GET \
--url https://a.api.mindset.ai/api/v1/appuid/{appUid}/agents/uid/{uid} \
--header 'x-api-key: <api-key>'import requests
url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/agents/uid/{uid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/agents/uid/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"agentName": "<string>",
"agentPurpose": "<string>",
"formatting": "<string>",
"agentPersonality": "<string>",
"agentPolicyRules": "<string>",
"iceBreakerMessage": "<string>",
"live": false,
"createdAt": "2023-11-07T05:31:56Z",
"contextUids": [
"<string>"
],
"mcpserverUids": [
"<string>"
],
"tags": [
"<string>"
],
"access": "openAccess"
}This response has no body data.Agent Management (deprecated)
Retrieve an agent by UID
GET
/
api
/
v1
/
appuid
/
{appUid}
/
agents
/
uid
/
{uid}
Retrieve an agent by UID
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Unique ID of the agent
Response
Successful retrieval
Unique ID of the agent
Name of the agent
Purpose of the agent
Output formatting instructions
Personality of the agent
Policy rules for the agent
Invisible instruction to prompt the agent to greet users in a specific way or style
Activate the agent and make it live for end users
Creation timestamp (ISO 8601)
Array of existing context Uids (max 30)
Maximum array length:
30Required string length:
1 - 30Array of existing MCP server Uids (max 5)
Maximum array length:
5Required string length:
20Array of tags (max 10)
Maximum array length:
10Required string length:
1 - 60Available options:
openAccess, restrictedAccess